Subject: [Tigers] tiger fuel pump

From: [email-masked]
Date: Tue, 11 Jun 2013 18:49:12 -0400 (EDT)

I have no idea where they get or mean by 20 psi MAX...it doesn't put out 20psi
obviously it would be too much.
I can tell you the pressure range of the Delphi pump is rated at 5.7-8.7psi
and I USE it on the stock 2 barrel without a pressure regulator with NO
problems.
If you want to show me something different than this spec and its reference
feel free....I would like to see it.
Just trying to help out the list...not everyone wants to use a facet, so I am
giving an alternative that works for me.
pldflyer
/4 mk1a's
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]